CFPRIME MDUDMD                                                          MDUDMD      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE MDUDMD(NUF,NLF,JG,JE,KN,NSTAT,JTLN1)                   MDUDMD      3
CD                                                                      MDUDMD      4
CD    TO MODIFY  USER DEFINED MODEL DATA.                               MDUDMD      5
CD                                                                      MDUDMD      6
C                                                                       MDUDMD      7
C    NUF=1 USER DEFINED EXCITER                                         MDUDMD      8
C       =2              STABILIZER                                      MDUDMD      9
C       =3              UEL (JTLN1=0), OEL (JTLN1=1)                    MDUDMD     10
C       =4              GOVERNOR                                        MDUDMD     11
C       =5              SVC                                             MDUDMD     12
C       =6*             RANI          (NEEDS JTLN1)                     MDUDMD     13
C       =7              STC                                             MDUDMD     14
C       =8              STP                                             MDUDMD     15
C       =9              SDB                                             MDUDMD     16
C                                                                       MDUDMD     17
      INCLUDE 'PARX.INS'                                                MDUDMD     18
      INCLUDE 'CNLSTA.INS'                                              MDUDMD     19
      INCLUDE 'CNTMDA.INS'                                              MDUDMD     20
      INCLUDE 'CNFLAG.INS'                                              MDUDMD     21
      INCLUDE 'CNTGED.INS'                                              MDUDMD     22
      INCLUDE 'CNMNEW.INS'                                              MDUDMD     23
      INCLUDE 'CNLFDA.INS'                                              MDUDMD     24
      INCLUDE 'CNMSG.INS'                                               MDUDMD     25
C                                                                       MDUDMD     26
*IF IMUDM                                                               MDUDMD     27
*ENDIF                                                                  MDUDMD   1767
*IF -IMUDM                                                              MDUDMD   1768
      LDEB=.FALSE.                                                      MDUDMD   1769
      WRITE(LOUT,*)                                                     MDUDMD   1770
      WRITE(LOUT,*) ' *** THIS FUNCTION IS NOT AVAILABLE '//            MDUDMD   1771
     *              'FOR THIS DISTRIBUTION ***'                         MDUDMD   1772
      WRITE(LOUT,*)                                                     MDUDMD   1773
      MSG(1)='PRESS RETURN TO CONTINUE'                                 MDUDMD   1774
      CALL PMTRED(LOUT,LIN,IOERR,24,MSG,'XXX',MSG(2),KREAD,PLAYBA)      MDUDMD   1775
      RETURN                                                            MDUDMD   1776
*ENDIF                                                                  MDUDMD   1777
      END                                                               MDUDMD   1778
C                                                                       MDUDMD   1779
      SUBROUTINE DBLK(ITY,NUM,LOUT,NPAR,NINT,NPOS,ISUBM)                MDUDMD   1780
CD                                                                      MDUDMD   1781
CD    SUB-MENU TO MODIFY INDIVIDUAL BLOCK DATA                          MDUDMD   1782
CD                                                                      MDUDMD   1783
*IF IMUDM                                                               MDUDMD   1784
*ENDIF                                                                  MDUDMD   2278
*IF -IMUDM                                                              MDUDMD   2279
      RETURN                                                            MDUDMD   2280
*ENDIF                                                                  MDUDMD   2281
      END                                                               MDUDMD   2282
                                                                        MDUDMD   2283
      SUBROUTINE BLKTYP(IVLD,NVLD,NUF,NENDBK,NUMBLK,LTYP,FOUND,IFLG)    MDUDMD   2284
CD                                                                      MDUDMD   2285
CD    TO CHECK USER DEFINED BLOCK TYPE FOR MODIFICATION                 MDUDMD   2286
CD                                                                      MDUDMD   2287
C                                                                       MDUDMD   2288
*IF IMUDM                                                               MDUDMD   2289
*ENDIF                                                                  MDUDMD   2411
*IF -IMUDM                                                              MDUDMD   2412
      RETURN                                                            MDUDMD   2413
*ENDIF                                                                  MDUDMD   2414
      END                                                               MDUDMD   2415
C                                                                       MDUDMD   2416
